Bug 59072 - rp3-config crashes when edit my modem's configruation
rp3-config crashes when edit my modem's configruation
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-30 10:57 EST by Ibrahim El-Shafei
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ibrahim El-Shafei 2002-01-30 10:57:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20020127

Description of problem:
When I click on edit to change my modem's settings I receive the following:
Application "rp3-config" (process 3708) has crashed due to a fatal error.
(segmentation fault)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rp3-config
2."Modems" tab
3."Edit" button
	

Actual Results:  Application "rp3-config" (process 3708) has crashed due to a
fatal error.
(segmentation fault)


Additional info:

Here is the debug symbol:
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0x40546c09 in __wait4 () from /lib/libc.so.6
#0  0x40546c09 in __wait4 () from /lib/libc.so.6
#1  0x405c2fd0 in __DTOR_END__ () from /lib/libc.so.6
#2  0x400a5e88 in gnome_segv_handle () at eval.c:41
#3  <signal handler called>
#4  strcmp (p1=0x0, p2=0x80d1760 "/dev/ttyS1")
    at ../sysdeps/generic/strcmp.c:38
#5  0x08067033 in create_modem_edit_window () at eval.c:41
#6  0x0805f557 in rp3_set_tooltip () at eval.c:41
#7  0x401efde1 in gtk_marshal_NONE__NONE () at eval.c:41
#8  0x40223436 in gtk_handlers_run () at eval.c:41
#9  0x4022276d in gtk_signal_real_emit () at eval.c:41
#10 0x40220525 in gtk_signal_emit () at eval.c:41
#11 0x40187e2d in gtk_button_clicked () at eval.c:41
#12 0x401895ed in gtk_real_button_released () at eval.c:41
#13 0x401efde1 in gtk_marshal_NONE__NONE () at eval.c:41
#14 0x402225f1 in gtk_signal_real_emit () at eval.c:41
#15 0x40220525 in gtk_signal_emit () at eval.c:41
#16 0x40187d5d in gtk_button_released () at eval.c:41
#17 0x40188ed7 in gtk_button_button_release () at eval.c:41
#18 0x401efaec in gtk_marshal_BOOL__POINTER () at eval.c:41
#19 0x402227ad in gtk_signal_real_emit () at eval.c:41
#20 0x40220525 in gtk_signal_emit () at eval.c:41
#21 0x4025ab89 in gtk_widget_event () at eval.c:41
#22 0x401efa45 in gtk_propagate_event () at eval.c:41
#23 0x401eea6f in gtk_main_do_event () at eval.c:41
#24 0x4029fd7f in gdk_event_dispatch () at eval.c:41
#25 0x40417773 in g_main_dispatch () at eval.c:41
#26 0x40417d39 in g_main_iterate () at eval.c:41
#27 0x40417eec in g_main_run () at eval.c:41
#28 0x401ee333 in gtk_main () at eval.c:41
#29 0x08067dea in main () at eval.c:41
#30 0x404af306 in __libc_start_main (main=0x8067a80 <main>, argc=1, 
    ubp_av=0xbffffe94, init=0x8050e38 <_init>, fini=0x807f530 <_fini>, 
    rtld_fini=0x4000d2cc <_dl_fini>, stack_end=0xbffffe8c)
    at ../sysdeps/generic/libc-start.c:129
#0  0x40546c09 in __wait4 () from /lib/libc.so.6
No locals.
#1  0x405c2fd0 in __DTOR_END__ () from /lib/libc.so.6
No symbol table info available.
#2  0x400a5e88 in gnome_segv_handle () at eval.c:41
	in eval.c
ap = (void **) 0x0
digval = 4294966784
digval = 4294966784
digval = 4294966784
digval = 4294966784
result = 0
result = 0
value = (void *) 0xbfffebd8
#3  <signal handler called>
No locals.
#4  strcmp (p1=0x0, p2=0x80d1760 "/dev/ttyS1")
    at ../sysdeps/generic/strcmp.c:38
	in ../sysdeps/generic/strcmp.c
s1 = (unsigned char *) 0x0
s2 = (unsigned char *) 0xbfffebd8 "\001"
c1 = 0 '\000'
c2 = 0 '\000'
#5  0x08067033 in create_modem_edit_window () at eval.c:41
	in eval.c
ap = (void **) 0x0
digval = 4294966784
digval = 4294966784
digval = 4294966784
digval = 4294966784
result = 0
result = 0
value = (void *) 0xbfffebd8
#6  0x0805f557 in rp3_set_tooltip () at eval.c:41
41
in eval.c
ap = (void **) 0x80b04e0
digval = 4294966784
digval = 4294966784
digval = 4294966784
digval = 4294966784
result = 134939872
result = 134939872
value = (void *) 0xbfffebd8
#7  0x401efde1 in gtk_marshal_NONE__NONE () at eval.c:41
41
in eval.c
ap = (void **) 0xbffff410
digval = 4294966784
digval = 4294966784
digval = 4294966784
digval = 4294966784
result = 3221222416
result = 3221222416
value = (void *) 0xbfffebd8
Comment 1 Ibrahim El-Shafei 2002-01-31 07:00:28 EST
I fixed the problem by deleting the existing configuration if the fax and then
add it again. Now when I click on the "edit" button the rp3-config doesn't crash.

I know this is not the full solution.
Comment 2 Bill Nottingham 2006-08-07 13:53:49 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 10:58:11 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.